summaryrefslogtreecommitdiffstats
path: root/academic/libghemical
diff options
context:
space:
mode:
author Daniil Bratashov2010-05-13 00:57:19 +0200
committer Robby Workman2010-05-13 00:57:19 +0200
commitd7a9012a9dcbc112e5d93023870999332ad00dc4 (patch)
tree32317c2c6323865b39bb035523bb930f5a728922 /academic/libghemical
parent0c54782ce2266847fb0b47d48eed56a0b5849034 (diff)
downloadslackbuilds-d7a9012a9dcbc112e5d93023870999332ad00dc4.tar.gz
academic/libghemical: Added to 13.0 repository
Diffstat (limited to 'academic/libghemical')
-rw-r--r--academic/libghemical/README7
-rw-r--r--academic/libghemical/libghemical.SlackBuild79
-rw-r--r--academic/libghemical/libghemical.info10
-rw-r--r--academic/libghemical/slack-desc19
4 files changed, 115 insertions, 0 deletions
diff --git a/academic/libghemical/README b/academic/libghemical/README
new file mode 100644
index 0000000000..4e0351e048
--- /dev/null
+++ b/academic/libghemical/README
@@ -0,0 +1,7 @@
+Libghemical is a software library which contains all of the
+computational chemistry functionality of the ghemical application.
+
+libghemical is the part of ghemical project. It requres mopac7
+library and mpqc quantum chemistry program. If you don't need such
+functionality delete --enable-mopac7 and --enable-mpqc ./configure
+switches. \ No newline at end of file
diff --git a/academic/libghemical/libghemical.SlackBuild b/academic/libghemical/libghemical.SlackBuild
new file mode 100644
index 0000000000..3772b1b504
--- /dev/null
+++ b/academic/libghemical/libghemical.SlackBuild
@@ -0,0 +1,79 @@
+#!/bin/sh
+
+# Slackware build script for libghemical
+
+# Written by Daniil Bratashov (dn2010@gmail.com)
+
+PRGNAM=libghemical
+VERSION=${VERSION:-2.99.1}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux \
+ --disable-static \
+ --enable-mopac7 \
+ --enable-mpqc \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING ChangeLog INSTALL NEWS README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/libghemical/libghemical.info b/academic/libghemical/libghemical.info
new file mode 100644
index 0000000000..1e4bb7b758
--- /dev/null
+++ b/academic/libghemical/libghemical.info
@@ -0,0 +1,10 @@
+PRGNAM="libghemical"
+VERSION="2.99.1"
+HOMEPAGE="http://www.uku.fi/~thassine/projects/ghemical/"
+DOWNLOAD="http://www.uku.fi/~thassine/projects/download/current/libghemical-2.99.1.tar.gz"
+MD5SUM="d2dae2d7d786d3cba335cb29d85033ea"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Daniil Bratashov"
+EMAIL="dn2010@gmail.com"
+APPROVED="rworkman"
diff --git a/academic/libghemical/slack-desc b/academic/libghemical/slack-desc
new file mode 100644
index 0000000000..5c686bec8c
--- /dev/null
+++ b/academic/libghemical/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+libghemical: libghemical (computational chemistry library from ghemical)
+libghemical:
+libghemical: Libghemical is a software library which contains all of the
+libghemical: computational chemistry functionality of the ghemical application.
+libghemical:
+libghemical:
+libghemical:
+libghemical:
+libghemical:
+libghemical:
+libghemical: